Subject: Re: bug#42966: 28.0.50; vc-dir: wrong backend

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Oct 2020 10:32:50 +0200

Dmitry Gutov <[email-masked]> writes:

> Is it possible that you didn't restart Emacs between the tests?

No, I restarted between tests...  But perhaps I should have done more
iterations.

>> But as expected, the tramp version is slower, because it does more
>> lookups remotely.  But not hugely.
>
> By 23%? That's a bit more than I expected just by looking at
> vc-handled-backends, which has 9 elements. 1/9 => 11%.

Yes, it's a larger slowdown than expected.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no